<div class="col-sm-8 col-sm-offset-2">
  <form [formGroup]="userForm" (ngSubmit)="onSubmitForm()">
    <div class="form-group">
      <label for="firstName">Prénom</label>
      <input
        type="text"
        class="form-control"
        id="firstName"
        formControlName="firstName"
      />
    </div>
    <div class="form-group">
      <label for="lastName">Nom</label>
      <input
        type="text"
        class="form-control"
        id="lastName"
        formControlName="lastName"
      />
    </div>
    <div class="form-group">
      <label for="email">email</label>
      <input
        type="text"
        class="form-control"
        id="email"
        formControlName="email"
      />
    </div>
    <div class="form-group">
      <label for="foodPreference">Qu'elle nourriture préférez-vous</label>
      <select
        id="foodPreference"
        class="form-control"
        formControlName="foodPreference"
      >
        <option value="Pates">Pates</option>
        <option value="Pommes de terre">Pomme de terre</option>
      </select>
    </div>
    <div formArrayName="hobbies">
      <h3>Vos hobbies</h3>
      <div
        class="form-group"
        *ngFor="let hobbyControl of getHobbies().controls; let i = index"
      >
        <input type="text" class="form-control" [formControlName]="i" />
      </div>
      <button type="button" class="btn btn-success" (click)="onAddHobby()">
        Ajouter un hobby
      </button>
    </div>
    <button class="btn btn-primary" type="submit" [disabled]="userForm.invalid">
      Soumettre
    </button>
  </form>
</div>
